Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005080 [JEDI VCL] 00 JVCL Components minor always 2009-12-29 07:23 2011-06-10 16:10
Reporter phytotech View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.35
Summary 0005080: JvDateEdit does not recognize property setting CheckOnExit
Description No matter setting, CheckOnExit, when exiting the combo box, the JvCustomDateEdit.ValidateEdit method fired. So if someone mistyped a date entry it always caused a program error, no matter how I tried to trap the error in the OnExit event.

What I did was add "and CheckOnExit then" to the the line "if TextStored" in the above routine, ValidateEdit method.

Then I could validate and handle any text input errors (which were usually user mistakes in not recognizing how to use the DateEdit.)
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0017039)
obones (administrator)
2009-12-29 09:53

Please provide the zipped sources of a sample application showing this
(0017045)
phytotech (reporter)
2009-12-30 00:30

This is easily reproduced in your own MegDemos, DateTime page. Simply type '1' in the DateEditor and exit. If you try to use OnExit to trap this typing error, you cannot, even with CheckOnExit as False.

I gave you the fix. It's really that simple.

HTH,

Chuck
(0017399)
AHUser (developer)
2010-05-16 22:08

Fixed in SVN revision 12777

- Issue History
Date Modified Username Field Change
2009-12-29 07:23 phytotech New Issue
2009-12-29 09:53 obones Note Added: 0017039
2009-12-29 09:53 obones Status new => feedback
2009-12-30 00:30 phytotech Note Added: 0017045
2010-05-16 22:08 AHUser Note Added: 0017399
2010-05-16 22:08 AHUser Status feedback => resolved
2010-05-16 22:08 AHUser Fixed in Version => Daily / SVN
2010-05-16 22:08 AHUser Resolution open => fixed
2010-05-16 22:08 AHUser Assigned To => AHUser
2011-06-10 16:10 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker